package com.lightinit.hsdatagateway.common.exceptions;


import com.lightinit.hsdatagateway.constant.ExceptionEnum;

/**
 * 接口时间到期或者次数不足异常
 * @Author: yangrui
 * @Date: 2018/12/19 16:22
 */
public class InterfaceRequestException extends BaseException {


    public InterfaceRequestException() {
        super("接口时间到期或者次数不足", ExceptionEnum.INTERFACE_REQUEST.getCode());
    }


    public InterfaceRequestException(String message) {
        super(message, ExceptionEnum.INTERFACE_REQUEST.getCode());
    }

    public InterfaceRequestException(String message, String code) {
        super(message, code);
    }
}
